> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualiza os dados da area de cobertura em lote



## OpenAPI

````yaml https://logistic-ms.supergasbras.app/swagger/v1/swagger.json put /v1/dealers/{dealerId}/coverage-areas
openapi: 3.0.1
info:
  title: CTech Logistic 1.0
  description: Service responsible for handling logistic
  version: '1.0'
servers: []
security:
  - Bearer: []
tags:
  - name: CoverageAreas
    description: Area de cobertura
  - name: DealerCoverageAreas
    description: Area de cobertura do Dealer
  - name: Infrastructure
    description: Infraestrutura
paths:
  /v1/dealers/{dealerId}/coverage-areas:
    put:
      tags:
        - DealerCoverageAreas
      summary: Atualiza os dados da area de cobertura em lote
      parameters:
        - name: dealerId
          in: path
          description: Identificador do dealer
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Dados de atualização
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCoverageAreasCommand'
      responses:
        '204':
          description: No Content
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
components:
  schemas:
    UpdateCoverageAreasCommand:
      type: object
      properties:
        authorization:
          type: string
          nullable: true
        dealerId:
          type: string
          description: Identificador do Dealer
          format: uuid
          example: cbe566b9-035a-41f7-b000-10fc87c46e1a
        coverageAreas:
          type: array
          items:
            $ref: '#/components/schemas/CoverageArea'
          description: Lista com os dados das horas de abertura para cada coverage area
          nullable: true
      additionalProperties: false
    IErrorDataResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
          nullable: true
          readOnly: true
      additionalProperties: false
    CoverageArea:
      type: object
      properties:
        coverageAreaId:
          type: string
          description: Identificador da area de cobertura
          format: uuid
          example: de571341-28ea-48bb-8dcb-e32372db8606
        openingHours:
          type: array
          items:
            $ref: '#/components/schemas/OpeningHours'
          description: Horários de funcionamento
          nullable: true
        holidayOpeningHours:
          type: array
          items:
            $ref: '#/components/schemas/OpeningHours'
          nullable: true
      additionalProperties: false
    ErrorData:
      type: object
      properties:
        code:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    OpeningHours:
      type: object
      properties:
        day:
          type: string
          description: >-
            Dia da semana (Sunday, Monday, Tuesday, Wednesday, Thursday, Friday,
            Saturday)
          nullable: true
          example: Monday
        open:
          type: string
          description: Horário de abertura (hh:mm)
          nullable: true
          example: '06:00'
        close:
          type: string
          description: Horário de fechamento (hh:mm)
          nullable: true
          example: '15:00'
        enabled:
          type: boolean
          description: Habilita horário de funcionamento
          example: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````